package com.fr.plugin.excel.fr.exporter;

import com.fr.decision.webservice.bean.security.WatermarkBean;
import com.fr.decision.webservice.v10.security.SecurityService;
import com.fr.io.attr.ReportExportAttr;
import com.fr.io.exporter.excel.stream.StreamExcel2007Exporter;
import com.fr.log.FineLoggerFactory;
import com.fr.plugin.ws.wapper.WsUtils;
import com.fr.report.report.Report;
import com.fr.third.springframework.web.context.request.RequestContextHolder;
import com.fr.third.springframework.web.context.request.ServletRequestAttributes;
import com.fr.third.v2.org.apache.poi.POIXMLDocumentPart;
import com.fr.third.v2.org.apache.poi.openxml4j.opc.PackagePartName;
import com.fr.third.v2.org.apache.poi.openxml4j.opc.PackageRelationship;
import com.fr.third.v2.org.apache.poi.openxml4j.opc.TargetMode;
import com.fr.third.v2.org.apache.poi.ss.usermodel.Workbook;
import com.fr.third.v2.org.apache.poi.xssf.streaming.SXSSFSheet;
import com.fr.third.v2.org.apache.poi.xssf.streaming.SXSSFWorkbook;
import com.fr.third.v2.org.apache.poi.xssf.usermodel.XSSFRelation;
import com.fr.third.v2.org.apache.poi.xssf.usermodel.XSSFSheet;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @Author fr.open
 * @Data 2021/10/28 16:38
 * @Description TODO
 * @Version 10.0
 **/
public class NewStreamExcel2007Exporter extends StreamExcel2007Exporter {

    public NewStreamExcel2007Exporter(List list) {
        super(list);
    }

    @Override
    protected void innerExportReport(Report report, ReportExportAttr reportExportAttr, String s, SXSSFWorkbook sxssfWorkbook, List list, List list1, int i) throws Exception {
        super.innerExportReport(report, reportExportAttr, s, sxssfWorkbook, list, list1, i);
        WsUtils.addWatterMarker2SXSSFWorkbook(sxssfWorkbook);
    }
}
