package com.fr.plugin.excel.fr.provider;

import com.fr.general.ReportDeclareRecordType;
import com.fr.io.collection.ExportCollection;
import com.fr.io.exporter.AppExporter;
import com.fr.io.exporter.ExcelExportType;
import com.fr.main.FineBook;
import com.fr.plugin.excel.fr.exporter.NewPageExcel2007Exporter;
import com.fr.plugin.excel.fr.exporter.NewStreamExcel2007Exporter;
import com.fr.report.core.ReportUtils;
import com.fr.report.fun.impl.AbstractExcelExportAppProvider;
import com.fr.stable.web.SessionProvider;

/**
 * @Author fr.open
 * @Data 2021/10/28 17:18
 * @Description TODO
 * @Version 10.0
 **/
public class SimpleExportProvider extends AbstractExcelExportAppProvider {

    @Override
    public String exportType() {
        return "simple";
    }

    @Override
    public AppExporter<Boolean> newAppExporter(ExportCollection exportCollection, ExcelExportType excelExportType, SessionProvider sessionProvider) {
        AppExporter exporter = new NewStreamExcel2007Exporter(ReportUtils.getPaperSettingListFromWorkBook((FineBook) sessionProvider.getOriginalObject()));
        exportCollection.setExporter(exporter);
        exportCollection.setRecordType(ReportDeclareRecordType.EXPORT_TYPE_EXCEL_ORIGINAL);
        return exporter;
    }
}
